PATCH
v1.0.0stable

Update source settings

Update source settings. Manage only sources owned by this token on the current tenant.

PATCH/api/appstore/manage/sources/:source_id
Ang Auth:Bearer Token
Hangganan:30/minute

Kahilingan ng mga Parameter

Ang lahat ng parameter ay maaaring ipasa sa pamamagitan ng Query o Body

ParameterUriKailanganPaglalarawan
source_id
stringKailangan
Source ID owned by this user on the current site
Halimbawa: 12345678
name
stringMapagpipilian
Source name, up to 100 characters
Halimbawa: 我的软件源
message
stringMapagpipilian
Source announcement
Halimbawa: 欢迎使用
identifier
stringMapagpipilian
Source identifier, up to 100 characters
source_icon
stringMapagpipilian
HTTP(S) URL of the source icon
pay_url
stringMapagpipilian
HTTP(S) URL of the payment page
encrypt_enabled
integerMapagpipilian
Response encryption: 0=off, 1=on (default on when created)
Halimbawa: 1
open_black
integerMapagpipilian
Auto-block devices used to add apps: 0/1
Halimbawa: 0
open_black2
integerMapagpipilian
Auto-block cracking attempts: 0/1
Halimbawa: 0
health_alert
objectMapagpipilian
Complete link-health alert configuration as a JSON object

Pagtugon

ParameterUriKailanganPaglalarawan
code
integerKailangan
1 indicates success; otherwise a token, validation or source error code
Halimbawa: 1
msg
stringKailangan
Localized result message
Halimbawa: 获取成功
time
integerKailangan
Unix timestamp in seconds
data
objectKailangan
Allowlisted fields visible to the source owner
Pagtugon na Halimbawa
{
"code":1,
"msg":"Operation successful",
"time":1780000000,
"data":
{
"source_id":"12345678",
"name":"我的软件源",
"source_url":"/api/rjy/12345678/appstore",
"message":"欢迎使用",
"encrypt_enabled":1,
"app_count":0
}
}

Error

Error4 Binigyang - katuturan
10
Invalid token
Token is invalid or rotated; HTTP 401
11
Token expired
Token has expired; HTTP 401
40001
Source not found
Source is missing or not owned by this user/tenant; HTTP 404

Pagtugon sa Wika

Ang mga code na halimbawa sa ibaba ay awtomatikong gumagamit ng kasalukuyang site language mo.

Inirerekomendang Tagapangulo
X-Lang: fil
Suportadong mga Wika
zh, en, zh-TW, vi, ar, es, ru

Sinusuportahan din ang tinatanggap na-Language; ang X-Lang ang inuuna. ang mga hindi suportadong wika ay sumusunod sa site language fallback.

Mga Halimbawa ng Kodigo

curl -X PATCH "https://testypro.iwai.cc,https://cer.xyul.cn,https://cer.iwai.cc/api/appstore/manage/sources/12345678" \
  -H "X-Lang: fil" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "我的软件源",
    "message": "欢迎使用",
    "identifier": "example_identifier",
    "source_icon": "example_source_icon",
    "pay_url": "example_pay_url",
    "encrypt_enabled": 1,
    "open_black": 0,
    "open_black2": 0,
    "health_alert": "example_health_alert"
  }'

Mga Noble

  • 必须使用 HTTPS 传输。接口不接受 uid、tenant_id、is_official、到期时间等管理员字段。
  • 响应不包含拥有者身份、内部草稿或敏感密钥;创建源和应用受订阅、试用及数量限制。
  • 只修改传入的字段;health_alert 作为完整对象整体替换。

Subukin ito sa Console

Punan ang mga parameter sa ibaba at magpadala ng kahilingan upang masubukan. requests pumunta lamang sa API ng site na ito; ang URL ay naka-lock at hindi maaaring baguhin, at isama ang inyong kasalukuyang login cookie.

PATCHhttps://testypro.iwai.cc/api/appstore/manage/sources/12345678Nakakandado sa lugar na ito
stringKailangan

Source ID owned by this user on the current site

string

Source name, up to 100 characters

string

Source announcement

string

Source identifier, up to 100 characters

string

HTTP(S) URL of the source icon

string

HTTP(S) URL of the payment page

integer

Response encryption: 0=off, 1=on (default on when created)

integer

Auto-block devices used to add apps: 0/1

integer

Auto-block cracking attempts: 0/1

object

Complete link-health alert configuration as a JSON object